Package de.gebit.integrity.remoting.transport.messages

## Class TestRunnerCallbackMessage

- java.lang.Object
- - de.gebit.integrity.remoting.transport.messages.AbstractMessage
  - - de.gebit.integrity.remoting.transport.messages.TestRunnerCallbackMessage

- All Implemented Interfaces:
    `Serializable`

      public class TestRunnerCallbackMessage
      extends AbstractMessage

  This message is used to send callback-specific data from callbacks run in forks to the main test runner.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestRunnerCallbackMessage()` | The no-arg constructor, primarily used for serialization.
    `TestRunnerCallbackMessage​(String aCallbackClassName, TestRunnerCallbackMethods aCallbackMethod, Serializable[] someObjects)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCallbackClassName()` |
    `TestRunnerCallbackMethods` | `getCallbackMethod()` |
    `Serializable[]` | `getObjects()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestRunnerCallbackMessage

          public TestRunnerCallbackMessage​(String aCallbackClassName,
                                           TestRunnerCallbackMethods aCallbackMethod,
                                           Serializable[] someObjects)

      Creates a new instance.
      Parameters:
        `aCallbackClassName` - the callbacks' class name
        `aCallbackMethod` - the method that created this message
        `someObjects` - the payload

    - #### TestRunnerCallbackMessage

          public TestRunnerCallbackMessage()

      The no-arg constructor, primarily used for serialization.

  - ### Method Detail

    - #### getCallbackClassName

          public String getCallbackClassName()

    - #### getCallbackMethod

          public TestRunnerCallbackMethods getCallbackMethod()

    - #### getObjects

          public Serializable[] getObjects()